Subject: [Shop-talk] Mitutoyo digital calipers not working

From: Mark Bradakis <[email-masked]>
Date: Thu, 18 Sep 2025 17:39:17 -0600

Okay, I dusted off my old Mitutoyo digital calipers ( 500-196  CD-6CS ). 
  Replaced the battery with a brand new one, hit the ON button and 
nothing.  Zip.  Nada.  Tried swapping the new battery in and out a 
couple of times, no change.  Did a web search, nothing specific to 
failure to turn on.

Anyone have any suggestions?  Maybe it is turning on, but the display 
remains blank.  Maybe it is not turning on at all.  How can I tell? 
Replacing the display module seems a pricey gamble.  Other options?

mjb.

_______________________________________________

[email-masked]
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive